/* Línea decorativa debajo del título */
.title-underline {
    width: 70px;
    height: 3px;
    margin: 5px auto 10px;
  }
  
  .dropping-texts {
    position: relative;
    display: block;
    width: 100%;
    height: 36px;
    text-align: center;
    margin: 0 auto;
  }
  
  .dropping-texts > div {
    font-size: 0px;
    opacity: 0;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    font-weight: 600;
    color: var(--primary-color);
  }
  
  .dropping-texts > div:nth-child(1) {
    animation: roll 5s linear infinite 0s;
  }
  .dropping-texts > div:nth-child(2) {
    animation: roll 5s linear infinite 1s;
  }
  .dropping-texts > div:nth-child(3) {
    animation: roll 5s linear infinite 2s;
  }
  .dropping-texts > div:nth-child(4) {
    animation: roll2 5s linear infinite 3s;
  }
  
  @keyframes roll {
    0% {
      font-size: 0px;
      opacity: 0;
      margin-top: 0px;
      transform: translateX(-50%) rotate(-25deg);
    }
    3% {
      opacity: 1;
      transform: translateX(-50%) rotate(0deg);
    }
    5% {
      font-size: 1.1rem;
      opacity: 1;
      margin-top: 0px;
      transform: translateX(-50%);
    }
    20% {
      font-size: 1.1rem;
      opacity: 1;
      margin-top: 0px;
      transform: translateX(-50%) rotate(0deg);
    }
    27% {
      font-size: 0px;
      opacity: 0.5;
      margin-top: 100px;
      transform: translateX(-50%);
    }
    100% {
      font-size: 0px;
      opacity: 0;
      margin-top: 0px;
      transform: translateX(-50%) rotate(15deg);
    }
  }
  
  @keyframes roll2 {
    0% {
      font-size: 0px;
      opacity: 0;
      margin-top: 0px;
      transform: translateX(-50%) rotate(-25deg);
    }
    3% {
      opacity: 1;
      transform: translateX(-50%) rotate(0deg);
    }
    5% {
      font-size: 1.1rem;
      opacity: 1;
      margin-top: 0px;
      transform: translateX(-50%);
    }
    30% {
      font-size: 1.1rem;
      opacity: 1;
      margin-top: 0px;
      transform: translateX(-50%) rotate(0deg);
    }
    37% {
      font-size: 1.5rem;
      opacity: 0;
      margin-top: -80px;
      transform: translateX(-50%);
    }
    100% {
      font-size: 0px;
      opacity: 0;
      margin-top: 0px;
      transform: translateX(-50%) rotate(15deg);
    }
  }
  
  /* Responsive para pantallas pequeñas */
  @media (max-width: 576px) {
    .dropping-texts {
      height: 50px;
    }
  }